<?php

namespace App;


use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;
use App\Traits\ApiResponser;
use Illuminate\Http\Response;

class AjusteModel extends Model 
{
	use ApiResponser;
	protected $table='ajustes';
	
	
	public function ListarAjustes(){
        try {
           $documents= DB::select('call SP_ADMIN_LISTAR_AJUSTE()');
           return $documents;//$this->SuccessResponse($documents);
        } catch (\Throwable $th) {
            return $this->ErrorResponse($th,Response::HTTP_INTERNAL_SERVER_ERROR);
        }
       
    }
	
	
}